# Almacenamiento

Permite gestionar el Almacenamiento. El usuario puede crear nuevas carpetas y archivos, obtener información sobre carpetas y archivos, actualizar información sobre carpetas y archivos, así como eliminar carpetas y archivos.

Métodos:

### **API para trabajar con carpetas**

1\) [Crear nueva carpeta](#user-content-fn-1)[^1]

2\) [Obtener información sobre la carpeta por GUID](#user-content-fn-2)[^2]

3\) [Obtener lista de carpetas relacionadas con GUID](#user-content-fn-3)[^3]

4\) [Actualizar información sobre la carpeta por GUID](#user-content-fn-4)[^4]

5\) [Eliminar carpeta por GUID](#user-content-fn-5)[^5]

### **API para trabajar con archivos**

1\) [Crear nuevo archivo](#user-content-fn-6)[^6]

2\) [Obtener información sobre el archivo por GUID](#user-content-fn-7)[^7]

3\) [Actualizar información sobre el archivo por GUID](#user-content-fn-8)[^8]

4\) [Eliminar archivo por GUID](#user-content-fn-9)[^9]

[^1]: /api/folders/create

[^2]: /api/folders/read/{guid}

[^3]: /api/folders/list

[^4]: /api/folders/update

[^5]: /api/folders/delete/{guid}

[^6]: /api/files/create

[^7]: /api/files/read/{guid}

[^8]: /api/files/update

[^9]: /api/files/delete/{guid}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sherparpa.ru/es/sherpa-rpa/sherpa-orchestrator/api/khranilishe.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
